Class | Fog::Brightbox::OAuth2::GrantTypeStrategy
In: | lib/fog/brightbox/oauth2.rb
Parent: | Object

This strategy class is the basis for OAuth2 grant types

@abstract Need to implement {authorization_body_data} to return a

      Hash matching the expected parameter form for the OAuth request

@todo Strategies should be able to validate if credentials are suitable

      so just client credentials cannot be used with user strategies

### Methods

authorization_body_data new

### Public Class methods

new(credentials)

### Public Instance methods

authorization_body_data()

[Validate]